class InvalidMachineStateNr(Exception):
    '''
    An exception class raised by code when an invalid machine state number used.
    '''


    def __init__(self, value):
        '''
        Constructor
        '''
        self.value = value
        
    def __str__(self):
        return repr(self.value)

class InvalidSessionStateNr(Exception):
    '''
    An exception class raised by code when an invalid VBox session state number used.
    '''


    def __init__(self, value):
        '''
        Constructor
        '''
        self.value = value
        
    def __str__(self):
        return repr(self.value)
